import { createRouter, createWebHistory } from 'vue-router';
import Home from '@/pages/Home.vue';
import Product from '@/pages/Product.vue';
import Contact from '@/pages/Contact.vue';
import About from '@/pages/About.vue';

const routes = [
  { path: '/', component: Home },
  { path: '/product', component: Product },
  { path: '/contact', component: Contact },
  { path: '/about', component: About },
];

const router = createRouter({
  history: createWebHistory(),
  routes,
  scrollBehavior(to, from, savedPosition) {
    if (to.hash) {
      return {
        el: to.hash,
        behavior: 'smooth'
      };
    }
    return savedPosition || { top: 0 };
  }
});

export default router;
